mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

Use the enumeration to specify access control rights when you create objects. To apply access rights to a named system event, first add objects to an object, then attach the object to the named system event using the constructor or the method.

Security on synchronization objects is not supported for Windows 98 or Windows Millennium Edition.

Specifies the access control rights that can be applied to named system event objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.EventWaitHandleRights

  The right to change the security and audit rules associated with a named event.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.EventWaitHandleRights

  The right to delete a named event.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.EventWaitHandleRights

  The right to exert full control over a named event, and to modify its access rules and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.EventWaitHandleRights

  The right to set or reset the signaled state of a named event.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.EventWaitHandleRights

  The right to open and copy the access rules and audit rules for a named event.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.EventWaitHandleRights

  The right to wait on a named event.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.EventWaitHandleRights

  The right to change the owner of a named event.